--/* ================================================================
-- * EnhancedPreferences API - Alternative preferences package
-- * ================================================================
-- * 
-- * Project Info:  http://development.poopu.com/ehprefs
-- * Project Lead:  Justin Kim(jskim@poopu.com)
-- * Create Date : 2004. 11. 3
-- *
-- * (C) Copyright 2004, by Justin Kim
-- *
-- * This library is free software; you can redistribute it and/or modify it under the terms
-- * of the GNU Lesser General Public License as published by the Free Software Foundation;
-- * either version 2.1 of the License, or (at your option) any later version.
-- *
-- * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
-- * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
-- * See the GNU Lesser General Public License for more details.
-- *
-- * You should have received a copy of the GNU Lesser General Public License along with this
-- * library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
-- * Boston, MA 02111-1307, USA.
-- */

create sequence ehprefs_node_seq increment 1 start 1;
create table EHPREFS_NODE
(
  id bigint default nextval('ehprefs_node_seq'),

  parent_id bigint,
  fullpath text not null,
  name varchar(80) not null,
  type smallint default 0 not null,
  creation_date timestamp default now() not null,
  modified_date timestamp default now() not null,

  constraint const_ehprefs_node_id primary key(id),
  constraint const_ehprefs_node_parent_id_fk foreign key(parent_id) references EHPREFS_NODE(id),
  constraint const_ehprefs_node_unique unique(fullpath, name, type)
);

create sequence ehprefs_property_seq increment 1 start 1;
create table EHPREFS_PROPERTY
(
  id bigint default nextval('ehprefs_property_seq'),

  property_key varchar(80) not null,
  property_value text not null,

  creation_date timestamp default now() not null,
  modified_date timestamp default now() not null,

  node_id bigint,

  constraint const_ehprefs_property_id primary key(id),
  constraint const_ehprefs_property_unique unique(property_key, node_id),
  constraint const_ehprefs_property_node_id_fk foreign key(node_id) references EHPREFS_NODE(id)
);