/* ================================================================
 * EnhancedPreferences API - Alternative preferences package
 * ================================================================
 * 
 * Project Info:  http://development.poopu.com/ehprefs
 * Project Lead:  Justin Kim(jst.kim@gmail.com)
 * Create Date : 2004. 11. 7
 *
 * (C) Copyright 2004, by Justin Kim
 *
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation;
 * either version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */
package com.poopu.util.prefs.impl;

import java.util.prefs.Preferences;

import junit.framework.TestCase;

import com.poopu.util.prefs.PreferencesProvider;

/**
 * @author jskim
 *
 */
public class PreferencesProviderImplTest extends TestCase
{
  PreferencesProvider pp;
  
  public void setUp()
  {
    pp = new PreferencesProviderImpl();  
  }

  public void testGetSystemRoot()
  {
    Preferences systemRoot1 = pp.getSystemRoot();
    assertNotNull(systemRoot1);
    Preferences systemRoot2 = pp.getSystemRoot();
    assertEquals(systemRoot1, systemRoot2);
  }

  public void testGetUserRoot()
  {
    Preferences userRoot1 = pp.getUserRoot();
    assertNotNull(userRoot1);
    Preferences userRoot2 = pp.getUserRoot();
    assertEquals(userRoot1, userRoot2);
  }

}
